require conf/distro/debian-common.conf

BASE_DISTRO = "kylin"

DISTRO_APT_SOURCES ?= "conf/distro/${DISTRO}.list"
# DISTRO_APT_SOURCES_arm64 ?= "conf/distro/${DISTRO}-ports.list"
# HOST_DISTRO_APT_SOURCES_append_arm64 = " ${DISTRO_APT_SOURCES}"

BASE_DISTRO_CODENAME = "v101"

# that is what debootstrap_1.0.118ubuntu1 does anyways
DISTRO_DEBOOTSTRAP_SCRIPT = "/usr/share/debootstrap/scripts/v101"

DISTRO_CONFIG_SCRIPT ?= "debian-configscript.sh"

DISTRO_KERNELS ?= " \
    aws azure azure-edge gcp generic gke kvm lowlatency oem virtual \
    snapdragon generic-lpae"

IMAGE_PREINSTALL += "init make net-tools vim bash-completion network-manager iputils-ping iproute2 tmux dfc"

WIC_IMAGER_INSTALL += "python3-distutils"
